## HdyPreferencesGroup HdyPreferencesGroup — A group gathering preferences rows. |

## Functions

HdyPreferencesGroup * | hdy_preferences_group_new ()
const gchar * | hdy_preferences_group_get_title ()
void | hdy_preferences_group_set_title ()
const gchar * | hdy_preferences_group_get_description ()
void | hdy_preferences_group_set_description ()

## Properties

gchar * | description | Read / Write
gchar * | title | Read / Write

## Types and Values

#define | HDY_TYPE_PREFERENCES_GROUP
struct | HdyPreferencesGroupClass
| HdyPreferencesGroup

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── HdyPreferencesGroup

## Implemented Interfaces

HdyPreferencesGroup implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A HdyPreferencesGroup represents a group or tightly related preferences, which in turn are represented by HdyPreferencesRow.

To summarize the role of the preferences it gathers, a group can have both a title and a description. The title will be used by HdyPreferencesWindow to let the user look for a preference.

## Functions

### hdy_preferences_group_new ()

    HdyPreferencesGroup *
    hdy_preferences_group_new (void);

Creates a new HdyPreferencesGroup.

#### Returns

a new HdyPreferencesGroup

Since: 0.0.10

### hdy_preferences_group_get_title ()

    const gchar *
    hdy_preferences_group_get_title (HdyPreferencesGroup *self);

Gets the title of `self` .

#### Parameters

self | a HdyPreferencesGroup |

#### Returns

the title of `self` .

Since: 0.0.10

### hdy_preferences_group_set_title ()

    void
    hdy_preferences_group_set_title (HdyPreferencesGroup *self,
                                     const gchar *title);

Sets the title for `self` .

#### Parameters

self | a HdyPreferencesGroup |
title | the title |

Since: 0.0.10

### hdy_preferences_group_get_description ()

    const gchar *
    hdy_preferences_group_get_description (HdyPreferencesGroup *self);

#### Parameters

self | a HdyPreferencesGroup |

#### Returns

the description of `self` .

Since: 0.0.10

### hdy_preferences_group_set_description ()

    void
    hdy_preferences_group_set_description (HdyPreferencesGroup *self,
                                           const gchar *description);

Sets the description for `self` .

#### Parameters

self | a HdyPreferencesGroup |
description | the description |

Since: 0.0.10

## Types and Values

### HDY_TYPE_PREFERENCES_GROUP

    #define HDY_TYPE_PREFERENCES_GROUP (hdy_preferences_group_get_type())

### struct HdyPreferencesGroupClass

    struct HdyPreferencesGroupClass {
      GtkBoxClass parent_class;
    };

#### Members

### HdyPreferencesGroup

    typedef struct _HdyPreferencesGroup HdyPreferencesGroup;

## Property Details

### The `“description”` property

      “description”              gchar *

The description for this group of preferences.

Owner: HdyPreferencesGroup

Flags: Read / Write

Default value: ""

Since: 0.0.10

### The `“title”` property

      “title”                    gchar *

The title for this group of preferences.

Owner: HdyPreferencesGroup

Flags: Read / Write

Default value: ""

Since: 0.0.10